API REFERENCEv1

List Sent Group Campaign Contacts

GEThttps://api2.protexting.com/v1/sent-history/group-contacts

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

List Sent Group Campaign Contacts

Request parameters:

* required parameters

ParameterDescription
* idInteger, Campaign ID
numberString, filtered by Phone Number

Response parameters:

ParameterDescription
NumberString
DeliveryStatus_IdInteger
DeliveryStatus_DescriptionString

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/sent-history/group-contacts?id=%3Ccampaign_id%3E&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
Keep-Alive: timeout=5, max=100
Link: <https://api2.protexting.com/v1/sent-history/group-contacts?access_token=your_access_token&id=<campaign_id>&page=1>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 100 X-Pagination-Total-Count: 1 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
[
    {
    	"Number": 1646595xxxx,
        "DeliveryStatus_Id": 2,        "DeliveryStatus_Description": "Delivered"        
    },
    {
    	.........
    }
]
XML response example
<response>
    <item>
    	<Number>1646595xxxx</Number>
        <DeliveryStatus_Id>2</DeliveryStatus_Id>        <DeliveryStatus_Description>Delivered</DeliveryStatus_Description>
    </item>
    <item>    .................    </item>
</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Delivery statuses:

Delivery Status IdDelivery Status Description
1Pending
2Delivered
3Failed
4Bufered
5Rejected
6Optout
7Unknown
8Disconected
9Optedout
10Processed
11Retrieved
12Expired

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.